[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# DecodeDateFully

Decode a date with additional date of the week.

## Declaration

Source position: datih.inc line 107

`function DecodeDateFully(`
`const DateTime: TDateTime;`
`out Year: Word;`
`out Month: Word;`
`out Day: Word;`
`out DOW: Word`
`):Boolean;`

## Description

DecodeDateFully, like DecodeDate, decodes DateTime in its parts and returns these in Year, Month, Day but in addition returns the day of the week in DOW.

## Errors

None.

## See also

EncodeDate |  | Encode a Year,Month,Day to a TDateTime value.
TryEncodeDate |  | Try to encode a date, and indicate success.
DecodeDate |  | Decode a TDateTime to a year,month,day triplet

Documentation generated on: Feb 26 2014